      subroutine unitvec(a,b,c)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      dimension a(*),b(*),c(*)

      r=dist(b,c)

      do 1001 i=1,3
 1001 a(i)=(c(i)-b(i))/r

      return
      end
